// (c) Thomas Kamps, 2009
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include <QMouseEvent>
#include "playerinfo.h"
#include "ui_playerinfo.h"

PlayerInfo::PlayerInfo(QWidget *parent, int avMinHeight) : QWidget(parent), m_ui(new Ui::PlayerInfo) {
	m_ui->setupUi(this);
	playerId = -1;

	m_ui->avatar->setMinimumHeight(avMinHeight);
	connect(m_ui->avatar, SIGNAL(doubleClicked()), this, SLOT(beginTrade()));

	//Under Win StyledPanel does not work
	#if defined(Q_WS_WIN)
	m_ui->frame->setFrameShape(QFrame::Panel);
	#endif

	//Only, if we return to asingle label layout
	//htmlStart = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\"> <html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\"> p, li { white-space: pre-wrap; } </style></head><body style=\" font-family:'Sans Serif'; font-size:10pt; font-weight:400; font-style:normal;\"> <p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">";
	//htmlMid = "</p><p align=\"right\" style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">";
	//htmlEnd = "</p></body></html>";
}

PlayerInfo::~PlayerInfo() {
	delete m_ui;
}

void PlayerInfo::setAvatar(QString a) {
	m_ui->avatar->setAvatar(a);
}

void PlayerInfo::setJailed(bool j) {
	m_ui->avatar->jailed = j;
	m_ui->avatar->update();
}

void PlayerInfo::setName(QString n) {
	m_ui->lPlayer->setText(" "+n);
}

void PlayerInfo::setMoney(QString m) {
	m_ui->lMoney->setText("   "+m);
}

void PlayerInfo::changeEvent(QEvent *e) {
	QWidget::changeEvent(e);
	switch (e->type()) {
		case QEvent::LanguageChange:
			m_ui->retranslateUi(this);
			break;
		default:
			break;
	}
}

void PlayerInfo::beginTrade() {
	emit(trade(".Tn"+QString::number(playerId)));
}
